package com.cim.idm.wmspackage.inbounddeliveryorder.data;

import java.util.List;

import com.cim.idm.framework.orm.info.access.FieldAccessor;
import java.sql.Timestamp;

public class InnerRequest extends FieldAccessor{

	
	private String siteName;
	private String innerRequestName;
	private String deliveryType;
	private Timestamp erpTime;
	private Timestamp deliveryTime;
	private String supplierNO;
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	
	public String getSiteName() {
		return siteName;
	}
	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}
	public String getInnerRequestName() {
		return innerRequestName;
	}
	public void setInnerRequestName(String innerRequestName) {
		this.innerRequestName = innerRequestName;
	}
	public String getDeliveryType() {
		return deliveryType;
	}
	public void setDeliveryType(String deliveryType) {
		this.deliveryType = deliveryType;
	}
	public Timestamp getErpTime() {
		return erpTime;
	}
	public void setErpTime(Timestamp erpTime) {
		this.erpTime = erpTime;
	}
	public Timestamp getDeliveryTime() {
		return deliveryTime;
	}
	public void setDeliveryTime(Timestamp deliveryTime) {
		this.deliveryTime = deliveryTime;
	}
	public String getSupplierNO() {
		return supplierNO;
	}
	public void setSupplierNO(String supplierNO) {
		this.supplierNO = supplierNO;
	}
	public String getLastEventName() {
		return lastEventName;
	}
	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}
	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}
	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}
	public Timestamp getLastEventTime() {
		return lastEventTime;
	}
	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}
	public String getLastEventUser() {
		return lastEventUser;
	}
	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}
	public String getLastEventComment() {
		return lastEventComment;
	}
	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}
	
}
